Subject: Re: bug#6869: Octave mode: incorrect "unbalanced block" warning

From: Stefan Monnier <[email-masked]>
Date: Tue, 31 Aug 2010 14:24:58 +0200

> I am getting "unbalanced block" warnings when I hit tab on the
> "endfunction" at the end of an m-file (function is cut-and-pasted
> below).  It is on windows, but I don't think that is the cause of *this*

Can you try the latest code on the Emacs trunk?
It uses a completely different code to navigate and indent Octave code.
The behavior should be similar, except that things like
the removal of octave-forward-block (merged into forward-sexp).
Please confirm if it fixes this bug.
And please report any new bugs separately.

        Stefan